import type { BotProps } from '../../types';
interface BubbleParams {
    theme?: BubbleTheme;
    previewMessage?: PreviewMessageParams;
    autoShowDelay?: number;
    brandColor?: string;
}
interface BubbleTheme {
    chatWindow?: ChatWindowTheme;
    button?: ButtonTheme;
    previewMessage?: PreviewMessageTheme;
    placement?: 'left' | 'right';
}
interface ChatWindowTheme {
    backgroundColor?: string;
    maxWidth?: string;
    maxHeight?: string;
}
interface ButtonTheme {
    size?: 'medium' | 'large';
    backgroundColor?: string;
    iconColor?: string;
    customIconSrc?: string;
    customCloseIconSrc?: string;
}
export interface PreviewMessageParams {
    avatarUrl?: string;
    message: string;
    autoShowDelay?: number;
}
interface PreviewMessageTheme {
    backgroundColor?: string;
    textColor?: string;
    closeButtonBackgroundColor?: string;
    closeButtonIconColor?: string;
}
export type BubbleProps = BotProps & BubbleParams & {
    onOpen?: () => void;
    onClose?: () => void;
    onPreviewMessageClick?: () => void;
};
export type BubbleButtonProps = Pick<BubbleTheme, 'placement'> & ButtonTheme & {
    isBotOpened?: boolean;
    toggleBot?: () => void;
};
export {};
